import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TestPlateModel } from '../models/index';
/**
 * @author auto generate
 * @version 1.1
 * @date 2023-04-25 14:24
 */
interface TestPlateModelCU extends ConditionUtil<TestPlateModelCU> {
    ID: FieldUtil<TestPlateModelCU>;
    PLATENO: FieldUtil<TestPlateModelCU>;
    PARKID: FieldUtil<TestPlateModelCU>;
}
declare class TestPlateModelMU extends TableUtilImpl<TestPlateModelCU, TestPlateModel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TestPlateModelCU;
    static get ID(): FieldUtil<TestPlateModelCU>;
    static get PLATENO(): FieldUtil<TestPlateModelCU>;
    static get PARKID(): FieldUtil<TestPlateModelCU>;
    get ID(): FieldUtil<TestPlateModelCU>;
    get PLATENO(): FieldUtil<TestPlateModelCU>;
    get PARKID(): FieldUtil<TestPlateModelCU>;
}
export { TestPlateModelMU, TestPlateModelCU };
